org.apache.cassandra.utils.btree

## Class BTreeRemoval

- java.lang.Object
- - org.apache.cassandra.utils.btree.BTreeRemoval

    public class BTreeRemoval
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BTreeRemoval()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <V> java.lang.Object[]` `remove(java.lang.Object[] btree, java.util.Comparator<? super V> comparator, V elem)` Remove |elem| from |btree|.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BTreeRemoval

    public BTreeRemoval()

### Method Detail

#### remove

    public static <V> java.lang.Object[] remove(java.lang.Object[] btree,
                                                java.util.Comparator<? super V> comparator,
                                                V elem)

Remove |elem| from |btree|. If it's not present then return |btree| itself.